Package org.apache.sling.event.impl.jobs.config

# Interface ConfigurationChangeListener

All Known Implementing Classes:
  `JobSchedulerImpl`, `QueueManager`

public interface ConfigurationChangeListener
Listener interface to get topology / queue changes. Components interested in configuration changes can subscribe themselves using the `JobManagerConfiguration`.

## Method Summary

Modifier and Type
Method
Description
`void`
`configurationChanged(boolean active)`
Notify about a configuration change.

## Method Details

### configurationChanged

void configurationChanged(boolean active)
Notify about a configuration change.

Parameters:
  `active` - `true` if job processing is active, otherwise `false`